# OpalPassiveMediaPatch Class Reference

`#include <patch.h>`

Inheritance diagram for OpalPassiveMediaPatch:

[legend]
Collaboration diagram for OpalPassiveMediaPatch:
[legend]

## Public Member Functions

| OpalPassiveMediaPatch (OpalMediaStream &source)
virtual void | Start ()

## Protected Attributes

bool | m_started

## Detailed Description

Passive Media Patch In contrast to the 'default' media patch does this instance not run it's own thread. Instead, the source stream may push data to the sinks whenever needed. Useful for implementations where the source is not a continuous data stream (e.g. H.224/H.281 FECC, where data is sent on user input) or the source stream is driven by an external thread loop.

## Constructor & Destructor Documentation

OpalPassiveMediaPatch::OpalPassiveMediaPatch | ( | OpalMediaStream & | source | ) |

Parameters:

  source | Source media stream

## Member Function Documentation

virtual void OpalPassiveMediaPatch::Start | ( |  | ) | `[virtual]`

Start the patch. The default implementation simply starts the patch thread, which in turn calls Main()

Reimplemented from OpalMediaPatch.

## Field Documentation

bool OpalPassiveMediaPatch::m_started `[protected]`

The documentation for this class was generated from the following file:

- patch.h